BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel rpm unsermake update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name: kuake
License: 	GPL
Group: 		Productivity/Networking/System
Summary: 	Quake style KDE konsole 
Summary(de): 	Quake style KDE konsole
Packager: 	Carsten Schoene <cs@linux-administrator.com>
Version: 	0.3
Release: 	1.1
URL: 		http://www.nemohackers.org/kuake.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Source0: 	http://199.231.140.154/software/kuake/%{name}-%{version}.tar.gz

%description -l de
Kuake ist eine KDE konsole wie im Spiel Quake. Sie integriert sich genauso im KDE Desktop.

%description
Kuake is a KDE konsole application with the look and feel of that in the Quake engine. 
It intends to create seamless integration of a konsole to your KDE desktop.



Authors:
--------
	nemo <martin@nemohackers.org>


%prep
%setup -q

%build
. /etc/opt/kde3/common_options
%configure $configkde
%{__make}

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
%if 0%{?suse_version}
%suse_update_desktop_file %name System Terminals
%endif
%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/kvpnc*
rm -rf ../file.list.kvpnc

%files
/opt/kde3/bin/kuake
/opt/kde3/share/applications/kde/kuake.desktop
/opt/kde3/share/apps/kuake/kuakeui.rc
/opt/kde3/share/doc/HTML/en/kuake/*
/opt/kde3/share/icons/locolor/16x16/apps/kuake.png
/opt/kde3/share/icons/locolor/32x32/apps/kuake.png

%changelog
* Sun Feb 17 2008 Carsten Schoene <cs@linux-administrator.com>
- port this package to buildservice

* Fri Oct 07 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 10.0

